## GdaTreeMgrColumns GdaTreeMgrColumns — A tree manager which creates a node for each column of a table |

## Stability Level

Stable, unless otherwise indicated

## Functions

GdaTreeManager * | gda_tree_mgr_columns_new ()

## Properties

GdaConnection * | connection | Read / Write / Construct Only
GdaMetaStore * | meta-store | Read / Write / Construct Only
gchar * | schema | Write / Construct Only
gchar * | table-name | Write / Construct Only

## Types and Values

struct | GdaTreeMgrColumns

## Object Hierarchy

        GObject
        ╰── GdaTreeManager
            ╰── GdaTreeMgrColumns

## Includes

    #include <libgda/gda-statement-extra.h>

## Description

The GdaTreeMgrColumns is a GdaTreeManager object which creates a node for each column in a table.

It uses the GdaMetaStore associated to a GdaConnection to get the columns list for a table designated by its name and the database schema it is in; it's up to the caller to make sure the data in the GdaMetaStore is up to date.

The GdaConnection to be used needs to be specified when the object is created. The table name and schema can however be specified when the object is created, and if not, are fetched from the GdaTreeNode below which the nodes will be placed (using `gda_tree_node_fetch_attribute()`).

## Functions

### gda_tree_mgr_columns_new ()

    GdaTreeManager *
    gda_tree_mgr_columns_new (GdaConnection *cnc,
                              const gchar *schema,
                              const gchar *table_name);

Creates a new GdaTreeManager object which will add one tree node for each column in the table named `table_name` in the `schema` schema.

#### Parameters

cnc | a GdaConnection object |
schema | a schema name |
table_name | the name of the table |

#### Returns

a new GdaTreeManager object.

[transfer full]

Since: 4.2

## Types and Values

### struct GdaTreeMgrColumns

    struct GdaTreeMgrColumns;

## Property Details

### The `“connection”` property

      “connection”               GdaConnection *

Defines the GdaConnection to display information for. Necessary upon construction unless the “meta-store” property is specified instead.

Flags: Read / Write / Construct Only

### The `“meta-store”` property

      “meta-store”               GdaMetaStore *

Defines the GdaMetaStore to extract information from. Necessary upon construction unless the “connection” property is specified instead. This property has priority over the GdaTreeMgrColumns:connection property.

Flags: Read / Write / Construct Only

Since: 4.2.4

### The `“schema”` property

      “schema”                   gchar *

If no set, then the table name will be fetched from the parent node using the "schema" attribute

Flags: Write / Construct Only

Default value: NULL

### The `“table-name”` property

      “table-name”               gchar *

If no set, then the table name will be fetched from the parent node using the "table_name" attribute

Flags: Write / Construct Only

Default value: NULL